﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Web.Mvc;
using igGridMVC4.Models;
using System.Diagnostics;

namespace igGridMVC4.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        [GridDataSourceAction]
        public ActionResult Index()
        {
            List<Employee> emp = new List<Employee>();
            emp.Add(new Employee { Id = 0, Name = "AAA", JobId = 1234 });
            emp.Add(new Employee { Id = 1, Name = "BBB", JobId = 1235 });
            emp.Add(new Employee { Id = 2, Name = "CCC", JobId = 8234 });
            emp.Add(new Employee { Id = 3, Name = "DDD", JobId = 6234 });
            emp.Add(new Employee { Id = 4, Name = "DG", JobId = 5234 });
            emp.Add(new Employee { Id = 5, Name = "FG", JobId = 6235 });
            emp.Add(new Employee { Id = 6, Name = "HG", JobId = 7234 });
            emp.Add(new Employee { Id = 7, Name = "MG", JobId = 8234 });


            return View(emp.AsQueryable<Employee>());

        }

        [HttpPost]
        public ActionResult Process(List<Employee> selected)
        {
            foreach (Employee emp in selected)
            {
                Debug.WriteLine(emp.Name);
            }
            return Json(new { success = true });
        }

    }
}
