﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Xml;
using System.Xml.Serialization;

namespace igGridMVC4.Models
{
    public class ExportToExcelModel
    {
        public string text { get; set; }
        public string str1 { get; set; }
        public string str2 { get; set; }

        public string headerText { get; set; }
        public string key { get; set; }
        public string dataType { get; set; }
        public int width { get; set; }
    }

    public class ExportToExcelModelGrid
    {
        public static IQueryable<ExportToExcelModel> getdata()
        {
            List<ExportToExcelModel> list = new List<ExportToExcelModel>();
            for (int i = 1; i <= 5000; i++)
            {
                list.Add(new ExportToExcelModel() { text = "Sample", str1 = Convert.ToString(i), str2 = "stop " + i });
            }
            //XmlDocument xDoc = new XmlDocument();
            //xDoc.Load(AppDomain.CurrentDomain.BaseDirectory + "App_Data/Manage Projects/Projects.xml");
            //list = (List<ExportToExcelModel>)GenerateObject(xDoc, list);
            return list.AsQueryable<ExportToExcelModel>();
        }

        public static IQueryable<ExportToExcelModel> GetdataHeader()
        {
            return new List<ExportToExcelModel>
            {
                new ExportToExcelModel { headerText = "Text", key = "text", dataType = "string",width = 150},
                new ExportToExcelModel { headerText = "String One", key = "str1", dataType = "string",width = 150},
                new ExportToExcelModel { headerText = "String Two", key = "str2", dataType = "string",width = 150}
            }.AsQueryable();
        }

        public static object GenerateObject(XmlDocument xdoc, object obj)
        {
            Type t = obj.GetType();
            XmlSerializer deserializer = new XmlSerializer(t);
            XmlNodeReader reader = new XmlNodeReader(xdoc.DocumentElement);

            return deserializer.Deserialize(reader);
        }
    }

    
}